Bug 173798 - [PATCH] audio/hawkvoice optionsng
Summary: [PATCH] audio/hawkvoice optionsng
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-21 22:30 UTC by Chris Petrik
Modified: 2013-03-15 01:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.05 KB, patch)
2012-11-21 22:30 UTC, Chris Petrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Petrik 2012-11-21 22:30:01 UTC
OptionsNG Changes

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-11-21 22:30:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-03-15 01:18:19 UTC
Author: jgh
Date: Fri Mar 15 01:18:05 2013
New Revision: 314209
URL: http://svnweb.freebsd.org/changeset/ports/314209

Log:
  - adopt optionsNG
  
  PR:		173798
  Submitted by:	c.petrik.sosa@gmail.com
  Approved by:	portmgr (miwi)

Modified:
  head/audio/hawkvoice/Makefile

Modified: head/audio/hawkvoice/Makefile
==============================================================================
--- head/audio/hawkvoice/Makefile	Fri Mar 15 00:58:09 2013	(r314208)
+++ head/audio/hawkvoice/Makefile	Fri Mar 15 01:18:05 2013	(r314209)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	hawkvoice
-# Date created:		2006-03-05
-# Whom:			Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
-#
+# Created by: Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
 # $FreeBSD$
-#
 
 PORTNAME=	hawkvoice
 PORTVERSION=	0.91
@@ -27,27 +23,27 @@ MAKE_ENV=	MAKE="${GMAKE}"
 
 WRKSRC=	${WRKDIR}/HawkVoiceDI/src
 
-OPTIONS=	OPTIMIZATION	"Enable optimization"	off
+OPTIONS_DEFINE=	OPTIMIZED_CFLAGS
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if ${ARCH} == "amd64" || ${ARCH} == "ia64"
 CFLAGS+=	-fPIC -DPIC
 .endif
 
-.if defined(WITH_OPTIMIZATION)
+.if ${PORT_OPTIONS:MOPTIMIZED_CFLAGS}
 CFLAGS+=	-funroll-all-loops -ffast-math -fomit-frame-pointer -D_GNU_SOURCE -D_REENTRANT
 .endif
 
 post-patch:
-	${FIND} ${WRKSRC} -type f -exec ${REINPLACE_CMD} -e 's|<malloc.h>|<stdlib.h>|g' "{}" \;
+	@${FIND} ${WRKSRC} -type f -exec ${REINPLACE_CMD} -e 's|<malloc.h>|<stdlib.h>|g' "{}" \;
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 .for FILE in api.txt HVDIchanges.txt readme.txt cryptapi.txt
 	${INSTALL_DATA} ${WRKSRC}/${FILE} ${DOCSDIR}
 .endfor
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2013-03-15 01:18:49 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks! 


Comment 4 Jason Helfman freebsd_committer 2013-03-15 01:18:49 UTC
Responsible Changed
From-To: acm->jgh

Committed, with minor changes. Thanks!